CRM / Pipeline / REST API

List prospect activities

Read activity with trusted actor provenance. Default 50, max 100.

GET /api/crm/activitiesDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
prospectIdRequired · string
See the input schema for this field.
cursorOptional · string
See the input schema for this field.
limitOptional · number
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/crm/activities?prospectId=00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "prospectId": {
      "type": "string"
    },
    "cursor": {
      "type": "string"
    },
    "limit": {
      "type": "number"
    }
  },
  "required": [
    "prospectId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview